Exemplo n.º 1
0
    def op_generate_gcode(self, obj, turnTool):
        '''
        Generate GCode for the op
        '''
        RoughOP = LLP.RoughOP()
        RoughOP.set_params(self.getProps(obj))

        stockBoundbox = PathTurnHelpers.getliblatheBoundBox(self.stock_silhoutte.BoundBox)
        RoughOP.add_stock(stockBoundbox)

        RoughOP.add_part_edges(self.part_outline)
        RoughOP.add_tool(turnTool)

        PathCode = RoughOP.get_gcode()

        for command in PathCode:
            pathCommand = Path.Command(command.get_movement(), command.get_params())
            self.commandlist.append(pathCommand)
    def generate_gcode(self, obj):
        '''
        Generate GCode for the op
        '''
        profileOP = LLP.ProfileOP()
        profileOP.set_params(self.getProps(obj))

        stockBoundbox = PathTurnHelpers.getLibLatheBoundBox(
            self.stock_silhoutte.BoundBox)
        profileOP.add_stock(stockBoundbox)

        profileOP.add_part_edges(self.part_outline)
        PathCode = profileOP.get_gcode()

        for pathlist in PathCode:
            for command in pathlist:
                pathCommand = Path.Command(command.get_movement(),
                                           command.get_params())
                self.commandlist.append(pathCommand)
    def generate_gcode(self, obj):
        '''
        Generate GCode for the op
        '''
        # self.clear_path()
        facingOP = LLF.FaceOP()
        facingOP.set_params(self.getProps(obj))

        stockBoundbox = PathTurnHelpers.getLibLatheBoundBox(
            self.stock_silhoutte.BoundBox)
        facingOP.add_stock(stockBoundbox)

        facingOP.add_stock(stockBoundbox)
        facingOP.add_part_edges(self.part_outline)
        PathCode = facingOP.get_gcode()

        for pathlist in PathCode:
            # print('pathlist', pathlist)
            for command in pathlist:
                # print('command:', command.get_movement(), command.get_params())
                pathCommand = Path.Command(command.get_movement(),
                                           command.get_params())
                self.commandlist.append(pathCommand)
Exemplo n.º 4
0
 def getForm(self):
     '''getForm() ... return UI'''
     # return FreeCADGui.PySideUic.loadUi(":/panels/PageOpTurnBaseEdit.ui")
     turnUi = PathTurnHelpers.getResourcePath("PageOpTurnBaseEdit.ui")
     return FreeCADGui.PySideUic.loadUi(turnUi)
Exemplo n.º 5
0
 def getForm(self):
     """getForm() ... return UI"""
     # return FreeCADGui.PySideUic.loadUi(":/panels/DlgTurnToolHelper.ui")
     turnUi = PathTurnHelpers.getResourcePath("DlgTurnToolHelper.ui")
     return FreeCADGui.PySideUic.loadUi(turnUi)